
$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://dl.google.com/tag/s/appguid%3D%7B4EA16AC7-FD5A-47C3-875B-DBF4A2008C20%7D%26iid%3D%7BF4BF4AFE-7E30-DCD7-B65E-6151F627880A%7D%26lang%3Diw%26browser%3D5%26usagestats%3D1%26appname%3DGoogle%2520Chrome%2520Canary%26needsadmin%3Dfalse%26ap%3Dx86-canary-statsdef_1%26installdataindex%3Dempty/update2/installers/ChromeSetup.exe'
$url64      = 'https://dl.google.com/tag/s/appguid%3D%7B4EA16AC7-FD5A-47C3-875B-DBF4A2008C20%7D%26iid%3D%7BFFA8CAA2-2DB6-8310-E88C-BFFE915278CB%7D%26lang%3Diw%26browser%3D4%26usagestats%3D1%26appname%3DGoogle%2520Chrome%2520Canary%26needsadmin%3Dfalse%26ap%3Dx64-canary-statsdef_1%26installdataindex%3Dempty/update2/installers/ChromeSetup.exe'

$packageArgs = @{
  packageName   = 'GoogleChrome.Canary'
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'GoogleChrome.Canary'

  checksum      = 'B58202F782A7F51242BD251D8648F47465D077402D3FF9D9E25234B4665EF3CF'
  checksumType  = 'sha256'
  checksum64    = '16402A13818CAE6DBF4FC4617B2718CE72A5D9FB6C084390D28F4298DE5FFE56'
  checksumType64= 'sha256'

  silentArgs    = "/silent /install"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs










    








